---------------------
PatchSet 2857 
Date: 2006/04/25 07:34:13
Author: serassio
Branch: nt
Tag: (none) 
Log:
config.test changes for MinGW

Members: 
	helpers/basic_auth/LDAP/config.test:1.1.2.3->1.1.2.4 
	helpers/basic_auth/MSNT/config.test:1.1.2.2->1.1.2.3 
	helpers/basic_auth/mswin_sspi/config.test:1.1.2.2->1.1.2.3 
	helpers/digest_auth/ldap/config.test:1.1.2.3->1.1.2.4 
	helpers/external_acl/ldap_group/config.test:1.1.2.3->1.1.2.4 
	helpers/external_acl/mswin_lm_group/config.test:1.1.2.2->1.1.2.3 
	helpers/negotiate_auth/mswin_sspi/config.test:1.1.2.2->1.1.2.3 
	helpers/ntlm_auth/SMB/config.test:1.1.2.2->1.1.2.3 
	helpers/ntlm_auth/mswin_sspi/config.test:1.1.2.2->1.1.2.3 

Index: squid3/helpers/basic_auth/LDAP/config.test
===================================================================
RCS file: /cvsroot/squid-sf//squid3/helpers/basic_auth/LDAP/config.test,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid3/helpers/basic_auth/LDAP/config.test	23 Apr 2006 13:44:33 -0000	1.1.2.3
+++ squid3/helpers/basic_auth/LDAP/config.test	25 Apr 2006 07:34:13 -0000	1.1.2.4
@@ -5,4 +5,7 @@
 if [ -f /usr/local/include/ldap.h ]; then
 	exit 0
 fi
+if [ -f /usr/include/winldap.h ]; then
+	exit 0
+fi
 exit 1
Index: squid3/helpers/basic_auth/MSNT/config.test
===================================================================
RCS file: /cvsroot/squid-sf//squid3/helpers/basic_auth/MSNT/config.test,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/helpers/basic_auth/MSNT/config.test	31 Dec 2005 09:57:47 -0000	1.1.2.2
+++ squid3/helpers/basic_auth/MSNT/config.test	25 Apr 2006 07:34:13 -0000	1.1.2.3
@@ -1,2 +1,9 @@
 #!/bin/sh
+# Don't build on Windows
+if [ -f /usr/include/w32api/windows.h ]; then
+	exit 1
+fi
+if [ -f /usr/include/windows.h ]; then
+	exit 1
+fi
 exit 0
Index: squid3/helpers/basic_auth/mswin_sspi/config.test
===================================================================
RCS file: /cvsroot/squid-sf//squid3/helpers/basic_auth/mswin_sspi/config.test,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/helpers/basic_auth/mswin_sspi/config.test	24 Apr 2006 07:39:40 -0000	1.1.2.2
+++ squid3/helpers/basic_auth/mswin_sspi/config.test	25 Apr 2006 07:34:13 -0000	1.1.2.3
@@ -2,4 +2,7 @@
 if [ -f /usr/include/w32api/windows.h ]; then
 	exit 0
 fi
+if [ -f /usr/include/windows.h ]; then
+	exit 0
+fi
 exit 1
Index: squid3/helpers/digest_auth/ldap/config.test
===================================================================
RCS file: /cvsroot/squid-sf//squid3/helpers/digest_auth/ldap/config.test,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid3/helpers/digest_auth/ldap/config.test	23 Apr 2006 13:44:33 -0000	1.1.2.3
+++ squid3/helpers/digest_auth/ldap/config.test	25 Apr 2006 07:34:13 -0000	1.1.2.4
@@ -5,4 +5,7 @@
 if [ -f /usr/local/include/ldap.h ]; then
 	exit 0
 fi
+if [ -f /usr/include/winldap.h ]; then
+	exit 0
+fi
 exit 1
Index: squid3/helpers/external_acl/ldap_group/config.test
===================================================================
RCS file: /cvsroot/squid-sf//squid3/helpers/external_acl/ldap_group/config.test,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid3/helpers/external_acl/ldap_group/config.test	23 Apr 2006 13:44:33 -0000	1.1.2.3
+++ squid3/helpers/external_acl/ldap_group/config.test	25 Apr 2006 07:34:13 -0000	1.1.2.4
@@ -5,4 +5,7 @@
 if [ -f /usr/local/include/ldap.h ]; then
 	exit 0
 fi
+if [ -f /usr/include/winldap.h ]; then
+	exit 0
+fi
 exit 1
Index: squid3/helpers/external_acl/mswin_lm_group/config.test
===================================================================
RCS file: /cvsroot/squid-sf//squid3/helpers/external_acl/mswin_lm_group/config.test,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/helpers/external_acl/mswin_lm_group/config.test	24 Apr 2006 07:39:40 -0000	1.1.2.2
+++ squid3/helpers/external_acl/mswin_lm_group/config.test	25 Apr 2006 07:34:13 -0000	1.1.2.3
@@ -2,4 +2,7 @@
 if [ -f /usr/include/w32api/windows.h ]; then
 	exit 0
 fi
+if [ -f /usr/include/windows.h ]; then
+	exit 0
+fi
 exit 1
Index: squid3/helpers/negotiate_auth/mswin_sspi/config.test
===================================================================
RCS file: /cvsroot/squid-sf//squid3/helpers/negotiate_auth/mswin_sspi/config.test,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/helpers/negotiate_auth/mswin_sspi/config.test	24 Apr 2006 07:39:40 -0000	1.1.2.2
+++ squid3/helpers/negotiate_auth/mswin_sspi/config.test	25 Apr 2006 07:34:13 -0000	1.1.2.3
@@ -2,4 +2,7 @@
 if [ -f /usr/include/w32api/windows.h ]; then
 	exit 0
 fi
+if [ -f /usr/include/windows.h ]; then
+	exit 0
+fi
 exit 1
Index: squid3/helpers/ntlm_auth/SMB/config.test
===================================================================
RCS file: /cvsroot/squid-sf//squid3/helpers/ntlm_auth/SMB/config.test,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/helpers/ntlm_auth/SMB/config.test	24 Apr 2006 07:39:40 -0000	1.1.2.2
+++ squid3/helpers/ntlm_auth/SMB/config.test	25 Apr 2006 07:34:13 -0000	1.1.2.3
@@ -3,4 +3,7 @@
 if [ -f /usr/include/w32api/windows.h ]; then
 	exit 1
 fi
+if [ -f /usr/include/windows.h ]; then
+	exit 1
+fi
 exit 0
Index: squid3/helpers/ntlm_auth/mswin_sspi/config.test
===================================================================
RCS file: /cvsroot/squid-sf//squid3/helpers/ntlm_auth/mswin_sspi/config.test,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/helpers/ntlm_auth/mswin_sspi/config.test	24 Apr 2006 07:39:40 -0000	1.1.2.2
+++ squid3/helpers/ntlm_auth/mswin_sspi/config.test	25 Apr 2006 07:34:13 -0000	1.1.2.3
@@ -2,4 +2,7 @@
 if [ -f /usr/include/w32api/windows.h ]; then
 	exit 0
 fi
+if [ -f /usr/include/windows.h ]; then
+	exit 0
+fi
 exit 1
